# log4cplus::Layout Class Reference

This class is used to layout strings sent to an Appender. More...

`#include <layout.h>`

Inheritance diagram for log4cplus::Layout:

[legend]
Collaboration diagram for log4cplus::Layout:

[legend]
List of all members.

## Public Member Functions

| Layout ()
| Layout (const log4cplus::helpers::Properties &)
virtual | ~Layout ()
virtual void | formatAndAppend (log4cplus::tostream &output, const log4cplus::spi::InternalLoggingEvent &event)=0

## Protected Attributes

LogLevelManager & | llmCache

## Detailed Description

This class is used to layout strings sent to an Appender.

Definition at line 43 of file layout.h.

## Constructor & Destructor Documentation

log4cplus::Layout::Layout | ( |  | ) | `[inline]`

| Definition at line 45 of file layout.h. References log4cplus::getLogLevelManager().

log4cplus::Layout::Layout | ( | const log4cplus::helpers::Properties & |  | ) | `[inline]`

| Definition at line 46 of file layout.h. References log4cplus::getLogLevelManager().

virtual log4cplus::Layout::~Layout | ( |  | ) | `[inline, virtual]`

| Definition at line 48 of file layout.h.

## Member Function Documentation

virtual void log4cplus::Layout::formatAndAppend | ( | log4cplus::tostream & | output,
|  | const log4cplus::spi::InternalLoggingEvent & | event
| ) | `[pure virtual]`

| Implemented in log4cplus::SimpleLayout, log4cplus::TTCCLayout, and log4cplus::PatternLayout.

## Member Data Documentation

LogLevelManager& log4cplus::Layout::llmCache`[protected]`

| Definition at line 53 of file layout.h.

The documentation for this class was generated from the following file:

- layout.h